Welcome, Guest
Username: Password: Remember me

TOPIC: Building working Polyphone 1.7 on Ubuntu 18.04

Building working Polyphone 1.7 on Ubuntu 18.04 1 year 8 months ago #1

  • Bartosz
  • Bartosz's Avatar
  • Offline
  • New Member
  • Posts: 1
Hello

I am trying build Polyphone 1.7 on Ubuntu 18.04. I installed all the required dependencies and I am able to build Polyphone. If I build with Qt4 (qmake -qt4), the application refuses to start, throwing an invalid pointer exception. If I build with Qt5, the application starts just fine but if I try to open a soundfont, the application hangs. The very same Polyphone version works just fine on Ubuntu 16.04. I tried compilling the app in DEBUG mode (qmake CONFIG+=debug) to try and see what happens but instead of the usual hang or crash on start up, the application works just fine, I am able to open up a soundfont, inspect it, play the presets and so on. The problem is though that it is really slow so it is unusable. Any ideas how to troubleshoot this? I can provide additional info, just tell me what you need.

Regards,
Bartosz
The administrator has disabled public write access.

Building working Polyphone 1.7 on Ubuntu 18.04 1 year 8 months ago #2

  • Davy
  • Davy's Avatar
  • Offline
  • Administrator
  • Organ enthusiast and creator of Polyphone
  • Posts: 340
  • Thank you received: 81
Hello,
It is possible to use the existing .deb file to install Polyphone? Or use the latest sources (version 1.9)?
Davy
The administrator has disabled public write access.
Time to create page: 0.093 seconds